#language: ru

@TransportLogistics

Функционал: 005. TransportLogistics. Дозаполнение данных по контрагентам

Сценарий: 005.1. TransportLogistics. Заполнение графиков доставки и менеджеров для точек доставки
	
	Дано Я подключаюсь под "Ведение контрагентов"
	Дано я устанавливаю текущему сеансу заголовок приложения "18.005. Транспортная логистика"
	Когда В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Точки доставки'
	Тогда я жду открытия окна 'Точки доставки' в течение 20 секунд
	* Заполнение региона и графика для точки доставки Ашан. Бесскидочный регион
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'              |
			| 'Ашан. Бесскидочный регион' |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Ашан. Бесскидочный регион (Точка доставки)'
		И из выпадающего списка "Менеджер" я выбираю по строке 'Основной менеджер'
		И я перехожу к закладке "Логистика"
		И я нажимаю кнопку выбора у поля "Группа планирования отгрузки"
		Тогда открылось окно 'Группы планирования отгрузки'
		И я нажимаю на кнопку с именем 'ФормаВыбрать'
		Тогда открылось окно 'Ашан. Бесскидочный регион (Точка доставки) *'
		И в поле 'Длительность доставки, дней' я ввожу текст '1'
		И из выпадающего списка "Склад отгрузки" я выбираю по строке 'Сырная ГП'
		И я перехожу к закладке "Доставка"
		И я снимаю флаг с именем 'Вторник'
		И я снимаю флаг с именем 'Четверг'
		И я снимаю флаг с именем 'Суббота'
		И я снимаю флаг с именем 'Воскресенье'
		И в таблице "УточненияПоДоставке" я нажимаю на кнопку с именем 'УточненияПоДоставкеДобавить'
		И в таблице "УточненияПоДоставке" из выпадающего списка с именем "УточненияПоДоставкеТоварнаяКатегория" я выбираю по строке 'Мясо птицы'
		И в таблице "УточненияПоДоставке" я снимаю флаг с именем 'УточненияПоДоставкеПонедельник'
		И в таблице "УточненияПоДоставке" я снимаю флаг с именем 'УточненияПоДоставкеВторник'
		И в таблице "УточненияПоДоставке" я снимаю флаг с именем 'УточненияПоДоставкеСреда'
		И в таблице "УточненияПоДоставке" я снимаю флаг с именем 'УточненияПоДоставкеЧетверг'
		И в таблице "УточненияПоДоставке" я снимаю флаг с именем 'УточненияПоДоставкеСуббота'
		И в таблице "УточненияПоДоставке" я снимаю флаг с именем 'УточненияПоДоставкеВоскресенье'
		И в таблице "УточненияПоДоставке" я завершаю редактирование строки
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Ашан. Бесскидочный регион (Точка доставки) *' в течение 20 секунд
		Тогда открылось окно 'Точки доставки'
	* Заполнение региона и графика для точки доставки Ашан. Скидочный регион
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'           |
			| 'Ашан. Скидочный регион' |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Ашан. Скидочный регион (Точка доставки)'
		И из выпадающего списка "Менеджер" я выбираю по строке 'Основной менеджер'
		И я перехожу к закладке "Логистика"
		И я нажимаю кнопку выбора у поля "Группа планирования отгрузки"
		Тогда открылось окно 'Группы планирования отгрузки'
		И я нажимаю на кнопку с именем 'ФормаВыбрать'
		Тогда открылось окно 'Ашан. Скидочный регион (Точка доставки) *'
		И в поле 'Длительность доставки, дней' я ввожу текст '1'
		И из выпадающего списка "Склад отгрузки" я выбираю по строке 'Сырная ГП'
		И в таблице "УточненияПоОтгрузке" я нажимаю на кнопку с именем 'УточненияПоОтгрузкеДобавить'
		И в таблице "УточненияПоОтгрузке" из выпадающего списка "Товарная категория" я выбираю по строке 'Мясо птицы'
		И в таблице "УточненияПоОтгрузке" я активизирую поле "Склад"
		И в таблице "УточненияПоОтгрузке" из выпадающего списка "Склад" я выбираю по строке 'Куриная ГП'
		И в таблице "УточненияПоОтгрузке" я завершаю редактирование строки
		И я снимаю флаг с именем 'Четверг'
		И я снимаю флаг с именем 'Пятница'
		И я снимаю флаг с именем 'Суббота'
		И я снимаю флаг с именем 'Воскресенье'
		* Проверка заполнения типа доставки
			И из выпадающего списка с именем "ТипДоставки" я выбираю точное значение 'Самовывоз'
			И из выпадающего списка с именем "ТипДоставки" я выбираю точное значение 'Доставка нашей транспортной компанией'
			И из выпадающего списка с именем "ТипДоставки" я выбираю точное значение 'Доставка сторонней транспортной компанией'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Ашан. Скидочный регион (Точка доставки) *' в течение 20 секунд
		Тогда открылось окно 'Точки доставки'
	* Заполнение графика для точки доставки Обычная точка доставки. Без региона
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'                        |
			| 'Обычная точка доставки. Без региона' |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Обычная точка доставки. Без региона (Точка доставки)'
		И из выпадающего списка "Менеджер" я выбираю по строке 'Основной менеджер'
		И я перехожу к закладке "Логистика"
		И я нажимаю кнопку выбора у поля "Группа планирования отгрузки"
		Тогда открылось окно 'Группы планирования отгрузки'
		И я нажимаю на кнопку с именем 'ФормаВыбрать'
		Тогда открылось окно 'Обычная точка доставки. Без региона (Точка доставки) *'
		И в поле 'Длительность доставки, дней' я ввожу текст '1'
		И из выпадающего списка "Склад отгрузки" я выбираю по строке 'Сырная ГП'
		И в таблице "УточненияПоОтгрузке" я нажимаю на кнопку с именем 'УточненияПоОтгрузкеДобавить'
		И в таблице "УточненияПоОтгрузке" из выпадающего списка "Товарная категория" я выбираю по строке 'Мясо птицы'
		И в таблице "УточненияПоОтгрузке" я активизирую поле "Склад"
		И в таблице "УточненияПоОтгрузке" из выпадающего списка "Склад" я выбираю по строке 'Куриная ГП'
		И в таблице "УточненияПоОтгрузке" я завершаю редактирование строки
		И я перехожу к закладке "Доставка"
		И я нажимаю на кнопку с именем 'ОчиститьДни'
		И элемент формы с именем "Понедельник" стал равен 'Нет'
		И элемент формы с именем "Вторник" стал равен 'Нет'
		И элемент формы с именем "Среда" стал равен 'Нет'
		И элемент формы с именем "Четверг" стал равен 'Нет'
		И элемент формы с именем "Пятница" стал равен 'Нет'
		И элемент формы с именем "Суббота" стал равен 'Нет'
		И элемент формы с именем "Воскресенье" стал равен 'Нет'
		И я нажимаю на кнопку с именем 'ВыбратьБудни'
		И элемент формы с именем "Понедельник" стал равен 'Да'
		И элемент формы с именем "Вторник" стал равен 'Да'
		И элемент формы с именем "Среда" стал равен 'Да'
		И элемент формы с именем "Четверг" стал равен 'Да'
		И элемент формы с именем "Пятница" стал равен 'Да'
		И элемент формы с именем "Суббота" стал равен 'Нет'
		И элемент формы с именем "Воскресенье" стал равен 'Нет'
		И я нажимаю на кнопку с именем 'ОчиститьДни'
		И элемент формы с именем "Понедельник" стал равен 'Нет'
		И элемент формы с именем "Вторник" стал равен 'Нет'
		И элемент формы с именем "Среда" стал равен 'Нет'
		И элемент формы с именем "Четверг" стал равен 'Нет'
		И элемент формы с именем "Пятница" стал равен 'Нет'
		И элемент формы с именем "Суббота" стал равен 'Нет'
		И элемент формы с именем "Воскресенье" стал равен 'Нет'
		И я нажимаю на кнопку с именем 'ВыбратьВсеДни'
		И элемент формы с именем "Понедельник" стал равен 'Да'
		И элемент формы с именем "Вторник" стал равен 'Да'
		И элемент формы с именем "Среда" стал равен 'Да'
		И элемент формы с именем "Четверг" стал равен 'Да'
		И элемент формы с именем "Пятница" стал равен 'Да'
		И элемент формы с именем "Суббота" стал равен 'Да'
		И элемент формы с именем "Воскресенье" стал равен 'Да'
		И я снимаю флаг с именем 'Вторник'
		И я снимаю флаг с именем 'Воскресенье'
		И в таблице "УточненияПоДоставке" я нажимаю на кнопку с именем 'УточненияПоДоставкеДобавить'
		И в таблице "УточненияПоДоставке" из выпадающего списка с именем "УточненияПоДоставкеТоварнаяКатегория" я выбираю по строке 'Мясо птицы'
		И в таблице "УточненияПоДоставке" я завершаю редактирование строки
		Тогда таблица "УточненияПоДоставке" стала равной:
			| 'Товарная категория' | 'Вс' | 'Пн' | 'Вт' | 'Ср' | 'Чт' | 'Пт' | 'Сб' |
			| 'Мясо птицы'         | 'Да' | 'Да' | 'Да' | 'Да' | 'Да' | 'Да' | 'Да' |
		И в таблице "УточненияПоДоставке" я нажимаю на кнопку с именем 'УточненияПоДоставкеУточненияОчиститьДни'
		Тогда таблица "УточненияПоДоставке" стала равной:
			| 'Товарная категория' | 'Вс'  | 'Пн'  | 'Вт'  | 'Ср'  | 'Чт'  | 'Пт'  | 'Сб'  |
			| 'Мясо птицы'         | 'Нет' | 'Нет' | 'Нет' | 'Нет' | 'Нет' | 'Нет' | 'Нет' |
		И в таблице "УточненияПоДоставке" я нажимаю на кнопку с именем 'УточненияПоДоставкеУточненияВыбратьБудни'
		Тогда таблица "УточненияПоДоставке" стала равной:
			| 'Товарная категория' | 'Вс'  | 'Пн' | 'Вт' | 'Ср' | 'Чт' | 'Пт' | 'Сб'  |
			| 'Мясо птицы'         | 'Нет' | 'Да' | 'Да' | 'Да' | 'Да' | 'Да' | 'Нет' |
		И в таблице "УточненияПоДоставке" я нажимаю на кнопку с именем 'УточненияПоДоставкеУточненияОчиститьДни'
		Тогда таблица "УточненияПоДоставке" стала равной:
			| 'Товарная категория' | 'Вс'  | 'Пн'  | 'Вт'  | 'Ср'  | 'Чт'  | 'Пт'  | 'Сб'  |
			| 'Мясо птицы'         | 'Нет' | 'Нет' | 'Нет' | 'Нет' | 'Нет' | 'Нет' | 'Нет' |
		И в таблице "УточненияПоДоставке" я нажимаю на кнопку с именем 'УточненияПоДоставкеУточненияВыбратьВсеДни'
		Тогда таблица "УточненияПоДоставке" стала равной:
			| 'Товарная категория' | 'Вс' | 'Пн' | 'Вт' | 'Ср' | 'Чт' | 'Пт' | 'Сб' |
			| 'Мясо птицы'         | 'Да' | 'Да' | 'Да' | 'Да' | 'Да' | 'Да' | 'Да' |
		И в таблице "УточненияПоДоставке" я активизирую поле с именем "УточненияПоДоставкеТоварнаяКатегория"
		И в таблице 'УточненияПоДоставке' я удаляю строку
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Обычная точка доставки. Без региона (Точка доставки) *' в течение 20 секунд
		Тогда открылось окно 'Точки доставки'
	* Заполнение зоны для точки доставки Точка доставки с зоной
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'           |
			| 'Точка доставки с зоной' |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Точка доставки с зоной (Точка доставки)'
		И из выпадающего списка "Менеджер" я выбираю по строке 'Основной менеджер'
		И из выпадающего списка "Регион" я выбираю по строке 'Скидочный регион'
		И я перехожу к закладке "Логистика"
		И из выпадающего списка "Склад отгрузки" я выбираю по строке 'Сырная ГП'
		И я перехожу к закладке "Доставка"
		И из выпадающего списка "Зона доставки" я выбираю по строке 'Зона доставки'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Точка доставки с зоной (Точка доставки) *' в течение 20 секунд
		Тогда открылось окно 'Точки доставки'
	И я закрываю окно 'Точки доставки'

Сценарий: 005.2. TransportLogistics. Завершение

	И я закрываю сеанс TESTCLIENT